Fetch payout methods
curl --request GET \
--url https://api-staging.stablestack.com/api/payout/methods \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-staging.stablestack.com/api/payout/methods"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-staging.stablestack.com/api/payout/methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.stablestack.com/api/payout/methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.stablestack.com/api/payout/methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.stablestack.com/api/payout/methods")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.stablestack.com/api/payout/methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "46a75b50-4bdc-4f59-b891-602dc247effe",
"type": "WALLET",
"currency": "USDC",
"label": "usdc wallet",
"wallet_address": "0x7hj656EC7ab90b098defB751B7401B5f6d8976F",
"network": "erc20",
"created_at": "2025-05-12T15:50:31.679Z",
"updated_at": "2025-05-12T15:50:31.679Z",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e"
},
{
"id": "b6d3af87-e67f-42a2-b24a-d33f220a0d37",
"type": "BANK",
"currency": "NGN",
"account_name": "John Doe",
"account_number": "1234567890",
"bank_name": "Test Bank",
"bank_code": "000006",
"sort_code": null,
"swift_code": null,
"routing_number": null,
"iban": null,
"created_at": "2025-05-12T15:30:56.623Z",
"updated_at": "2025-05-12T15:30:56.623Z",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e"
}
],
"pagination": {
"total": 2,
"page": 1,
"limit": 10,
"totalPages": 1,
"hasNextPage": false,
"hasPreviousPage": false
},
"message": "Customer payout methods retrieved successfully"
}Beneficiary
Fetch Payout Methods
API reference for fetching payout methods
GET
/
payout
/
methods
Fetch payout methods
curl --request GET \
--url https://api-staging.stablestack.com/api/payout/methods \
--header 'x-api-key: <x-api-key>'import requests
url = "https://api-staging.stablestack.com/api/payout/methods"
headers = {"x-api-key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
fetch('https://api-staging.stablestack.com/api/payout/methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.stablestack.com/api/payout/methods",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.stablestack.com/api/payout/methods"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.stablestack.com/api/payout/methods")
.header("x-api-key", "<x-api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.stablestack.com/api/payout/methods")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": [
{
"id": "46a75b50-4bdc-4f59-b891-602dc247effe",
"type": "WALLET",
"currency": "USDC",
"label": "usdc wallet",
"wallet_address": "0x7hj656EC7ab90b098defB751B7401B5f6d8976F",
"network": "erc20",
"created_at": "2025-05-12T15:50:31.679Z",
"updated_at": "2025-05-12T15:50:31.679Z",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e"
},
{
"id": "b6d3af87-e67f-42a2-b24a-d33f220a0d37",
"type": "BANK",
"currency": "NGN",
"account_name": "John Doe",
"account_number": "1234567890",
"bank_name": "Test Bank",
"bank_code": "000006",
"sort_code": null,
"swift_code": null,
"routing_number": null,
"iban": null,
"created_at": "2025-05-12T15:30:56.623Z",
"updated_at": "2025-05-12T15:30:56.623Z",
"customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e"
}
],
"pagination": {
"total": 2,
"page": 1,
"limit": 10,
"totalPages": 1,
"hasNextPage": false,
"hasPreviousPage": false
},
"message": "Customer payout methods retrieved successfully"
}Retrieves payout methods with optional filtering. Returns both merchant-owned and customer-specific methods unless filtered.
Parameters
Query Parameters
customer_id(optional): Filter by specific customer IDtype(optional): Filter by type (BANK or WALLET)currency(optional): Filter by currency codepage(optional): Page number for pagination (default: 1)limit(optional): Items per page (default: 20, max: 100)
Headers
Query Parameters
Filter by specific customer ID
Filter by type (BANK or WALLET)
Available options:
BANK, WALLET Filter by currency
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100